List notifications
curl --request GET \
--url https://api.assembly.com/v1/notifications \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/notifications"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"additionalFields": {
"channelName": "<string>",
"invoiceNumber": "<string>",
"senderName": "<string>"
},
"appId": "550e8400-e29b-41d4-a716-446655440005",
"assetS3Key": "<string>",
"channelId": "<string>",
"companyId": "550e8400-e29b-41d4-a716-446655440003",
"count": 123,
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"defaultListIndexPkey": "<string>",
"deliveryTargets": {
"email": {
"header": "You have a new file",
"subject": "New file uploaded",
"title": "New file uploaded",
"body": "A new file was uploaded to your portal.",
"ctaParams": {},
"htmlBody": "<p>A new file was uploaded to your portal.</p>"
},
"inProduct": {
"title": "New file uploaded",
"body": "A new file was uploaded to your portal.",
"ctaParams": {},
"isRead": false
}
},
"event": "file.created",
"fields": {
"channelId": "<string>",
"companyId": "<string>",
"count": 123,
"formId": "<string>",
"groupingEntityType": "<string>",
"itemName": "<string>",
"notificationGroup": "<string>",
"senderID": "<string>",
"senderType": "<string>",
"senderUserId": "<string>"
},
"id": "<string>",
"identityId": "<string>",
"isGroup": true,
"isRead": true,
"object": "<string>",
"previousAttributes": {},
"recipientClientId": "550e8400-e29b-41d4-a716-446655440001",
"recipientCompanyId": "550e8400-e29b-41d4-a716-446655440003",
"recipientId": "550e8400-e29b-41d4-a716-446655440001",
"recipientInternalUserId": "550e8400-e29b-41d4-a716-446655440004",
"ref": "<string>",
"reminders": {
"scheduled": [
"<string>"
],
"sent": [
"<string>"
]
},
"resourceId": "550e8400-e29b-41d4-a716-446655440002",
"senderCompanyId": "550e8400-e29b-41d4-a716-446655440003",
"senderId": "550e8400-e29b-41d4-a716-446655440000",
"senderType": "internalUser",
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Notifications
List notifications
Returns a paginated list of notifications for a recipient. When no recipient filter is supplied, the authenticated user’s notifications are returned. Only unread notifications are returned unless includeRead is true.
GET
/
v1
/
notifications
List notifications
Authorizations
Query Parameters
Filter by recipient user ID. Defaults to the authenticated user when omitted.
Filter by recipient client ID.
Filter by recipient internal user ID.
Include read notifications in the response.
Filter by recipient company ID.
Maximum number of records to return.
Pagination cursor returned by a previous request.
⌘I